@charset "utf-8";

.main-bg{
  position: fixed;
  top: 0;
  width: 100dvw;
  background-size: contain;
  background-repeat: repeat;
  z-index: -1;
}

/* ロード画面 */

.loader {
  position: fixed;
  inset: 0;
  width: 100dvw;
  height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  /* ★紙をそのまま見せたいので透過 */
  z-index: 100;
  /* main-bg & main より手前に */
}

.loader-percent {
  font-size: var(--fs-l);
  color: var(--color-accent);
}

@media (min-width:1000px) {

  .loader-percent {
    font-size: var(--fs-xl);
  }

}

.loader-percent::after {
  content: "%";
}

.line {
  position: absolute;
  background: #E95A2F;
}

/* 線の太さ */
:root {
  --line-w: 10px;
}

/* 上中央 → 右 */
.top-right {
  top: 0;
  left: 50%;
  height: var(--line-w);
  width: 0;
  transform-origin: left;
}

/* 右の縦線 */
.right {
  right: 0;
  top: 0;
  width: var(--line-w);
  height: 0;
}


/* 下の線 */
.bottom {
  bottom: 0;
  right: 0;
  height: var(--line-w);
  width: 0;
}

/* 左の縦線 */
.left {
  left: 0;
  bottom: 0;
  width: var(--line-w);
  height: 0;
}


/* 左 → 上中央 */
.top-left {
  top: 0;
  left: 0;
  height: var(--line-w);
  width: 0;
  transform: translateX(0);
  /* 中央から左方向へ伸ばす */
}

main,
footer {
  opacity: 0;
  pointer-events: none;
  position: relative;
  z-index: 5;
  /* main-bg より手前、loader より奥 */
}
header{
  opacity: 0;
}

/* 横ライン */
.index-line{
  position: fixed;
  top: 0;
  left: 3%;
  width: 1px;
  height: 0;
  background-color: var(--color-accent);
  z-index: 1;
}


@media (min-width:1000px) {

  .index-line{
    left: 2%;
  }

}


/* ヒーロー */

.hero-wrapper {
  position: relative;
  width: 100dvw;
  height: 100dvh;
}

/* ファーストビュー文字 */

h1 {
  display: flex;
  flex-direction: column;
  gap: var(--margin-xs);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-wrap: nowrap;
  font-size: var(--fs-m);
  color: var(--color-accent);
  letter-spacing: 5px;
}



/* ヒーローコンテンツ */

.hero {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  height: 100%;
}

.index-logo-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  height: 200px;
}

.index-logo-wrapper>.o {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 200px;
  height: 200px;
}

.index-logo-wrapper>.o>img {
  animation: 20s turn linear infinite;

}

.index-logo {
  width: 150px;
  height: auto;
}

@media (min-width:1000px) {

  .index-logo {
    width: 500px;
  }

}

/* ニュースライン */

.news-line {
  display: flex;
  flex-direction: row;
  position: absolute;
  bottom: 20px;
  width: 80%;
  gap: 5%;
}

.news-line>h3 {
  font-size: var(--fs-l);
  color: var(--color-accent);
  padding-bottom: 0;
  padding-top: 0;
}

.news-line>a {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  gap: 5%;
}

.news-line-date {
  font-size: var(--fs-m);
  line-height: var(--fs-m);
  transform: translateY(2px);
  text-wrap: nowrap;
}

@media (min-width:1000px) {

  .news-line>a {
    gap: var(--margin-m);
    justify-content: flex-start;
  }

}

/* セクション共通 */

.index-section {
  margin-top: 50dvh;
  width: 100dvw;
  height: 100dvh;

}

@media (min-width:1000px) {

  .index-section {
    margin-top: 0;
  }
}

/* セクション１ */

.index-section.one {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: calc(var(--margin-l)*1.5);
}

@media (min-width:1000px) {

  .index-section.one {
    flex-direction: row-reverse;
    justify-content: center;
    gap: calc(var(--margin-l)*3);
  }
}

.q1,
.q2,
.q3 {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.q1>p,
.q2>p,
.q3>p {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 0;
  z-index: 10;
}

@media (min-width:1000px) {

  .q1>p,
  .q2>p,
  .q3>p {
    align-items: flex-start;
    writing-mode: vertical-rl;
    letter-spacing: 5px;
  }

  .q1>p>span:nth-child(2),
  .q2>p>span:nth-child(2),
  .q3>p>span:nth-child(2) {
    transform: translateY(20%);
  }

}

.q1-o,
.q2-o,
.q3-o {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100px;
  height: 100px;
  background-color: var(--color-accent);
  border-radius: 50%;
  opacity: 0.1;
  z-index: -1;
}

@media (min-width:1000px) {

  .q1-o {
    top: 0;
  }

  .q2-o {
    top: auto;
    bottom: 0;
    transform: translate(-50%, 0%);
  }

  .q3-o {
    top: 30%;
  }

}


/* セクション２ */

.index-section.two {
  display: flex;
  justify-content: center;
  align-items: center;
}

.index-section.two>p {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: var(--margin-m);
}

.chikara-wrapper {
  position: relative;
  display: block;
  overflow: hidden;
  padding: var(--margin-xs);
  border-radius: 5px;
}

.chikara {
  color: var(--color-light);
  z-index: 10;
}

.chikara-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: var(--color-accent);
  z-index: -1;
}

/* セクション３　SP版 */

.index-section.thr-pc {
  display: none;
}

.index-section-thr-inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.index-section-h3 {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  color: var(--color-accent);
}

.index-section-h3-num {
  position: absolute;
  bottom: 0;
  left: 0;
  font-size: 128px;
  opacity: 0.2;
}

.index-section-h3-span {
  font-size: var(--fs-l);
  line-height: var(--fs-xl);
}

.index-section-thr-inner>p {
  width: 70%;
  line-height: var(--fs-xl);
}

/* セクション３　PC版 */

@media (min-width:1000px) {

  .index-section.thr-pc {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--margin-l);
    max-width:1080px;
    margin: 0 auto;
  }

  .index-section-thr-inner{
    width: 300px;
    height: 50%;
    justify-content: flex-start;
  }

  .index-section-h3{
    position: relative;
    text-wrap: nowrap;
  }

  .index-section-h3-num{
    top: 50%;
    bottom: auto;
    transform: translateY(-50%);
  }

  .index-section-thr-inner>p {
    width: 80%;
    line-height: var(--fs-xl);
  }

  .index-section.thr-sp {
    display: none;
  }
}

/* セクション４*/

.index-section.fou {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.index-section.fou>p {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  line-height: var(--fs-xl);
}

.myaku {
  color: var(--color-accent);
}

@media (min-width:1000px) {

  .index-section.fou>.link-list{
    flex-direction: row;
    gap: var(--margin-l);
  }
  
}